import React from 'react';

export interface ISelectOption {
   value: any;
   name: string;
   disabled?: boolean;
}

export interface ISelectProps extends React.ComponentProps<any> {
   name: any; // name do input (Se name for definido Unform será ativado)
   options?: ISelectOption[]; // Options
   value?: any; // se checkbox está ou não ativo (funciona apenas se 'name' não estiver ativo)
   onChange?: (v: any) => void; // callback ao mudar valor do checkbox
   disabled?: boolean; // desabilita input do checkbox
   error?: string; // mensagem de erro
   color?: string; // cor do input
   rightRadio?: boolean;
}
